﻿using System;
using System.IO;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Navigation;

namespace FirstWPFApp
{
	public partial class EditEntry
  {
      #region Declarations
      MyClass mc = new MyClass();
      #endregion

      #region Methods
      public EditEntry()
		{
			this.InitializeComponent();
			
			// Insert code required on object creation below this point.
		}

    private void btnSubmit_Click(object sender, RoutedEventArgs e)
    {
        mc.fname = txtFName.Text;
        mc.lname = txtLName.Text;
        mc.email = txtEmail.Text;
        mc.likewpf = Convert.ToBoolean(chkLikeWpf.IsChecked);
        mc.id = Convert.ToInt32(txtSearch.Text);
        mc.Update();
        this.Close();
    }

    private void btnReset_Click(object sender, RoutedEventArgs e)
    {
        txtFName.Text = "";
        txtLName.Text = "";
        txtEmail.Text = "";
        chkLikeWpf.IsChecked = false;
    }

    private void btnSearch_Click(object sender, RoutedEventArgs e)
    {
        if (txtSearch.Text != "")
        {
            mc.ViewEntry(Convert.ToInt32(txtSearch.Text));
            ToggleGUI();
            txtFName.Text = mc.fname.ToString();
            txtLName.Text = mc.lname.ToString();
            txtEmail.Text = mc.email.ToString();
            chkLikeWpf.IsChecked = mc.likewpf;
        }
        else
        {
            Error errWin = new Error();
            errWin.txtBlkError.Text = "You must select an id to search by";
            errWin.ShowDialog();
            txtFName.Focus();
        }
    }
    private void ToggleGUI()
    {
        stkSearch.Visibility = Visibility.Hidden;
        stkInsert.Visibility = Visibility.Visible;
    }
      #endregion
  }
}