﻿using System;
using System.IO;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Navigation;

namespace FirstWPFApp
{
	public partial class DeleteEntry
  {
      #region Declarations
      MyClass mc = new MyClass();
      #endregion

      #region Methods
      public DeleteEntry()
		  {
			this.InitializeComponent();
			
			// Insert code required on object creation below this point.
		  }

    private void btnSubmit_Click(object sender, RoutedEventArgs e)
    {
        if (Convert.ToBoolean(chkDeleteRecord.IsChecked))
        {
            mc.id = Convert.ToInt32(txtSearch.Text);
            mc.Delete();
            this.Close();
        }
        else
        {
            Error errWin = new Error();
            errWin.txtBlkError.Text = "You must check if you wish to delete the record";
            errWin.ShowDialog();
            txtSearch.Focus();
        }
    }

    private void btnSearch_Click(object sender, RoutedEventArgs e)
    {
        if (txtSearch.Text != "")
        {
            mc.ViewEntry(Convert.ToInt32(txtSearch.Text));
            ToggleGUI();
        }
            else
        {
            Error errWin = new Error();
            errWin.txtBlkError.Text = "You must enter an id to search by";
            errWin.ShowDialog();
        }
    }
    
    private void ToggleGUI()
    {
        stkSearch.Visibility = Visibility.Hidden;
        stkInsert.Visibility = Visibility.Visible;
    }
      #endregion

  }
}